Bug 243276 - lang/crystal: update to 0.32.1
Summary: lang/crystal: update to 0.32.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-11 19:19 UTC by Greg V
Modified: 2020-01-12 02:19 UTC (History)
0 users

See Also:


Attachments
crystal0321.patch (26.99 KB, patch)
2020-01-11 19:19 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2020-01-11 19:19:00 UTC
Created attachment 210634 [details]
crystal0321.patch

- a libevent 2.1.11 fix landed upstream, dropping the patch
- finally LLVM 9 works great! :)
  - optimized mode with debuginfo no longer trips LLVM assertions it seems, so we can drop that note
- I'm tired of building for FreeBSD 11, hopefully everyone is fine with IGNORE_FreeBSD_11
Comment 1 commit-hook freebsd_committer 2020-01-12 02:18:58 UTC
A commit references this bug:

Author: jbeich
Date: Sun Jan 12 02:18:02 UTC 2020
New revision: 522742
URL: https://svnweb.freebsd.org/changeset/ports/522742

Log:
  lang/crystal: update to 0.32.1

  - Switch to devel/llvm90
  - Drop r507877 workaround
  - Drop separate bootstrap for FreeBSD 11

  Changes:	https://crystal-lang.org/2019/12/18/crystal-0.32.1-released.html
  PR:		239603 243276
  Submitted by:	Greg V (maintainer)

Changes:
  head/devel/shards/Makefile
  head/lang/crystal/Makefile
  head/lang/crystal/distinfo
  head/lang/crystal/pkg-message
  head/lang/crystal/pkg-plist